[Legacy]{class="badge informative"}
Delete a collection qualifier delete-tag
TIP
Decisioning, Adobe Journey Optimizer’s new decisioning capability, is now available via the code-based experience and email channels! Learn more
It may occasionally be necessary to remove (DELETE) a collection qualifier (previously known as “tag”). Only collection qualifiers that you create in the tenant container may be deleted. This is done by performing a DELETE request to the Offer Library API using the $id of the collection qualifier you wish to delete.
API format
DELETE /{ENDPOINT_PATH}/{CONTAINER_ID}/instances/{INSTANCE_ID}
Parameter
Description
Example
{ENDPOINT_PATH}The endpoint path for repository APIs.
https://platform.adobe.io/data/core/xcore/{CONTAINER_ID}The container where the collection qualifiers are located.
e0bd8463-0913-4ca1-bd84-6309134ca1f6{INSTANCE_ID}The instance id of the collection qualifier you wish to update.
d48fd160-13dc-11eb-bc55-c11be7252432Request
curl -X DELETE \
'https://platform.adobe.io/data/core/xcore/e0bd8463-0913-4ca1-bd84-6309134ca1f6/instances/d48fd160-13dc-11eb-bc55-c11be7252432' \
-H 'Accept: application/vnd.adobe.platform.xcore.xdm.receipt+json; version=1' \
-H 'Authorization: Bearer {ACCESS_TOKEN}' \
-H 'x-api-key: {API_KEY}' \
-H 'x-gw-ims-org-id: {IMS_ORG}' \
-H 'x-sandbox-name: {SANDBOX_NAME}'
Response
A successful response returns HTTP status 202 (No Content) and a blank body.
You can confirm the deletion by attempting a lookup (GET) request to the collection qualifier. You will need to include an Accept header in the request, but should receive an HTTP status 404 (Not Found) because the collection qualifier has been removed from the container.
recommendation-more-help
b22c9c5d-9208-48f4-b874-1cefb8df4d76